# Conversations

Types:

```python
from openai.types.conversations import (
    ComputerScreenshotContent,
    Conversation,
    ConversationDeleted,
    ConversationDeletedResource,
    Message,
    SummaryTextContent,
    TextContent,
    InputTextContent,
    OutputTextContent,
    RefusalContent,
    InputImageContent,
    InputFileContent,
)
```

Methods:

- client.conversations.create(\*\*params) -> Conversation
- client.conversations.retrieve(conversation_id) -> Conversation
- client.conversations.update(conversation_id, \*\*params) -> Conversation
- client.conversations.delete(conversation_id) -> ConversationDeletedResource

## Items

Types:

```python
from openai.types.conversations import ConversationItem, ConversationItemList
```

Methods:

- client.conversations.items.create(conversation_id, \*\*params) -> ConversationItemList
- client.conversations.items.retrieve(item_id, \*, conversation_id, \*\*params) -> ConversationItem
- client.conversations.items.list(conversation_id, \*\*params) -> SyncConversationCursorPage[ConversationItem]
- client.conversations.items.delete(item_id, \*, conversation_id) -> Conversation
